Plateformes supportées

1. Plateformes clientes

Versions supportées

Windows 7 SP1

Windows 8.1

Windows 10

V3 / Framework .NET 4.0

À installer

V4 / Framework .NET 4.5

À installer

Natif

V5.1 / Framework .NET 4.5.2

À installer

À installer

Natif

V6.0 (Core) / .NET Core 2.0

À installer

À installer

À installer

Les cases vides signifient que la configuration n’est pas supportée. La mention « À installer » signifie qu’il est possible d’installer PowerShell (dans la version précisée sur la ligne correspondante) sur cette plateforme. « Natif » indique que PowerShell est installée de manière native.

À noter que Windows PowerShell 2.0 n’est plus supporté par Microsoft depuis août 2017.

2. Plateformes serveur

Versions supportées

Windows Server 2008 R2

Windows Server 2012/R2

Windows Server 2016

Mac OS

Linux

V3 / Framework .NET 4.0

À installer

V4 / Framework .NET 4.5

À installer

Natif

V5.1 / Framework .NET 4.5.2

À installer

À installer

Natif

V6.0 (Core) / .NET Core 2.0

À installer

À installer

À installer

À installer

À installer

Avant d’utiliser PowerShell sur les versions citées ci-dessus, il vous faudra vous acquitter de deux opérations. La première, impérative, est de vérifier la version du Framework .NET installée, et de réaliser une montée de version...

Pour consulter la suite, découvrez le livre suivant :
couv_EI2CPOWFOL.png
60-signet.svg
En version papier
20-ecran_lettre.svg
En version numérique
41-logo_abonnement.svg
En illimité avec l'abonnement ENI
130-boutique.svg
Sur la boutique officielle ENI
Précédent
Historique des versions
Suivant
Prise en main